> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nadcab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Freeze card



## OpenAPI

````yaml POST /cards/suspend
openapi: 3.1.0
info:
  title: Nadcab Labs Card Issuing API
  version: 1.0.0
  description: >-
    Issue and manage crypto-funded virtual and physical cards, cardholders,
    wallet deposits and remittances.
servers:
  - url: https://cc.nadcab.com/api/v1
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Card BINs
    description: List card BINs you can issue on.
  - name: Account
    description: Wallet balance, deposits and withdrawals.
  - name: API settings
    description: Webhook URL, IP allowlist and card data encryption key.
  - name: Cards
    description: Create, fund, freeze and close cards.
  - name: Cardholders
    description: Create and manage cardholders for B2C card programs.
  - name: Remittance
    description: Send fiat bank transfers funded from your wallet.
paths:
  /cards/suspend:
    post:
      tags:
        - Cards
      summary: Freeze card
      operationId: freezeCard
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                cardId:
                  type: string
                  example: CA2407261806650
                  description: Card ID
                clientTransactionId:
                  type: string
                  description: Transaction number
              required:
                - cardId
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: string
                  data:
                    type: string
                    description: Transaction number
                required:
                  - code
                  - msg
                  - data
              example:
                code: 200
                msg: success
                data: d345d5ee-1a9e-4821-8ac4-49a3427c19d7
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your API key from Console → Settings → Key & Access, sent as
        `Authorization: Bearer ncl_...`.

````